<?php
class LSTPresupuesto extends AppListado {

	const COLOR_PTE_PRECIO = 'presupuesto_pte_precio'; // #D2FFA5
	
	public function init(){
		$this->setClase('Presupuesto');
		$this->setMetodo('lst_activos');
		$this->setCantidadPorPagina(array(50));

		$this->addColumna(new CLMTexto('numeroPresupuesto', '<a href="'.PUBLICURL.'/index.php/wpresupuesto/editar/id/$numeroPresupuesto#">$numeroPresupuesto#</a>', 'Nš Presupuesto'));
		$this->addColumna(new CLMTexto('fechaInicio', '$fechaInicio# $horaInicio#', 'Inicio'));
		$this->addColumna(new CLMTexto('contacto', '$contactoNombre# ($contactoTelefono#)', 'Contacto'));
		$this->addColumna(new CLMTexto('numeroPersonas', '$numeroPersonas#', 'Pax'));
		$this->addColumna(new CLMTexto('vehiculo', '$vehiculoMarca# $vehiculoModelo#', 'Vehiculo'));
		$this->addColumna(new CLMTexto('origenPoblacion', '$origenPoblacion#', 'Origen'));
		$this->addColumna(new CLMTexto('totalConIva', '$totalConIva#', 'Precio'));
				
		/*
		$this->setBotonEditarVisible(true);
		$this->setBotonEditarUrl('/wpresupuesto/editar');
		$this->setBotonEditarUrlAddParametro('id', '$campoPK#');
		
		$this->setBotonEliminarVisible(true);
		$this->setBotonEliminarUrl('/wpresupuesto/eliminar');
		$this->setBotonEliminarUrlAddParametro('id', '$campoPK#');
		*/
		
	}
	
	protected function aplicarCondicionantes(){
		//print_r($this->_datos);
		//die();
		foreach ($this->_datos as $posicion => &$reg) {

			if (is_numeric($reg['datosBD']['totalConIva'])){
				$reg['atributos']['class']= self::COLOR_PTE_PRECIO;
			}	
			#A8CDED
			//$reg['atributos']= array('style'=>'background-color:#f00');
			//$reg['columnas']['nombre']['atributos']['style']='background-color:#f00';
			//$reg['columnas']['nombre']['atributos'] = array('style'=>'background-color:#f00');
	
		}
	}
	
	
}